Skip to content

List 'Articlecategory'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Query
_jsonlboolean
_order_byArray of strings
Example:_order_by=field_a,-field_b
_pageinteger, (int32), >= 1

Additional Validation Information:

This value must be set together with the following fields: _page_size

_page_sizeinteger, (int32)

Additional Validation Information:

This value must be set together with the following fields: _page

_slimboolean
_statisticsboolean
customer_columnsArray of any
global_realestatesArray of any
global_segmentsArray of any
tagsArray of any
tags!Array of any
archivedany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

consider_base_rentany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

created_atany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: gt, Supports negation (via !): True

Operator: gte, Supports negation (via !): True

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

Operator: lt, Supports negation (via !): True

Operator: lte, Supports negation (via !): True

custom_idany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: contains, Supports negation (via !): True

Operator: endswith, Supports negation (via !): True

Operator: icontains, Supports negation (via !): True

Operator: iendswith, Supports negation (via !): True

Operator: iexact, Supports negation (via !): True

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

Operator: istartswith, Supports negation (via !): True

Operator: startswith, Supports negation (via !): True

display_orderany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: gt, Supports negation (via !): True

Operator: gte, Supports negation (via !): True

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

Operator: lt, Supports negation (via !): True

Operator: lte, Supports negation (via !): True

idany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

nameany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: contains, Supports negation (via !): True

Operator: endswith, Supports negation (via !): True

Operator: icontains, Supports negation (via !): True

Operator: iendswith, Supports negation (via !): True

Operator: iexact, Supports negation (via !): True

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

Operator: istartswith, Supports negation (via !): True

Operator: startswith, Supports negation (via !): True

organizationany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

GET
/accounting/articles/articlecategory/list/
curl -i -X GET \
  'https://dev.api.pigello.io/accounting/articles/articlecategory/list/?_jsonl=true&_order_by=field_a%2C-field_b&_page=1&_page_size=0&_search=string&_slim=true&_statistics=true&customer_columns=&global_realestates=&global_segments=&tags=&tags!=&archived=%7Barchived%7D&consider_base_rent=%7Bconsider_base_rent%7D&created_at=%7Bcreated_at%7D&custom_id=%7Bcustom_id%7D&display_order=%7Bdisplay_order%7D&id=%7Bid%7D&name=%7Bname%7D&organization=%7Borganization%7D' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful query

Bodyapplication/json
Array [
namestring, <= 255 charactersrequired
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

organizationobject or null(Organization)
tagsanyread-only
created_atstring, (date-time)read-only
display_orderinteger or null, (int32), [ -2147483648 .. 2147483647 ]
custom_idstring or null, <= 128 characters
archivedboolean
consider_base_rentboolean
customer_columnsanyread-only
]
Response
[ { "organization": {}, "tags": null, "created_at": "2019-08-24T14:15:22Z", "name": "string", "display_order": -2147483648, "custom_id": "string", "archived": true, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "consider_base_rent": true, "customer_columns": null } ]